<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

/**
 * Description of MD5HashServiceProvider
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
class MD5HashServiceProvider extends ServiceProvider
{
    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register() {
        $this->app->singleton('hash', function () {
            return new \App\Components\MD5Hasher();
        });
    }
    
    /**
     * Get the services provided by the provider.
     *
     * @return array
     */
    public function provides() {
        return array('hash');
    }
    
}
